Contenu | Rechercher | Menus
Selon les tags présents sur cette page, les informations qu'elle contient n'ont pas été vérifiées depuis Ubuntu 10.04 LTS.
Apportez votre aide…

Orca

Orca est un programme gratuit et libre pour permettre à des utilisateurs non/mal-voyants d'utiliser Ubuntu.

Programmes supportés

Orca fonctionne avec les programmes couramment utilisés (Navigateur internet, Office, Client mail, terminal, etc.).

Il est possible de consulter la liste exhaustive des programmes compatibles ici [en] (ATTENTION ce lien est mort)

Pré-requis

  • Installer Ubuntu avec le son fonctionnel.

Installation

Si vous avez installé Ubuntu par défaut Orca est déjà installé.

Configuration

Il faut juste activer les options voulues dans le menu Système –> Préférences –> Accès universel –> Outils d'accessibilité, ce qui affiche la fenêtre "Applications préférées" et dans l'onglet Accessibilité chapitre Visuel choisir Orca et cocher "Exécuter à l'ouverture de session" et voilà, à la prochaine connexion Orca sera actif… maintenant il ne reste plus qu'à savoir comment ça fonctionne :)

Utilisation

La navigation dans le bureau et les applications se fait grâce aux raccourcis clavier Gnome.

Pour une documentation claire en français : Guide d'accessibilité du bureau GNOME 2.14

Utilisation de Svox pico avec Orca

Pico est une synthèse vocale Open Source qui peut être utilisée avec Orca. Elle améliore considérablement la voix par défaut. Pico est maintenant disponible dans les dépôts sous le nom "libttspico".

  • Puis changer la ligne DefautltModule dans le fichier speechd.conf qui se trouve dans /etc/speech-dispatcher/ en :
    DefautltModule pico-generic

et changer/ajouter/decommenter deux autres lignes toujours dans la section des modules :

    AddModule "pico-generic" "sd_generic" "pico-generic.conf" 

et

    LanguageDefaultModule "fr" "pico-generic"  

C'est tout pour Ubuntu 12.10, pour les versions précédentes, vérifiez les points suivants :

  • Il faut créer un fichier pico-generic.conf et le placer dans /etc/speech-dispatcher/modules/

Le fichier de configuration :

    # pico output module is based on the generic plugin for Speech
    # Dispatcher. It means there is no code written explicitly for
    # this plugin, all the specifics are handled in this configuration
    # and we call a simple command line client to perform the actual
    # synthesis. Use this config file with the sd_generic output module.
    #
    # IMPORTANT: The audio output method relies on an audio playback
    # utility (play, aplay, paplay for OSS, ALSA or Pulse)
    # being installed. If this is not the case, consider installing it
    # or replace the $PLAY_COMMAND string in the GenericExecuteString below
    # with play, paplay or similar.
    #
    # GenericExecuteSynth is the shell command that should be
    # executed in order to say some message. This command must
    # stop saying the message on SIGKILL, otherwise it's useless.
    # You can use the variables $LANGUAGE, $VOICE, $PITCH and $RATE
    # which will be substituted for the appropriate value (you
    # can modify this value, see other parameters).
    # The command can be split into more lines, if necessary, using '\'.
    GenericExecuteSynth \
    "pico2wave -w $TMPDIR/pico.wav -l $VOICE \'$DATA\' && $PLAY_COMMAND $TMPDIR/pico.wav
    # The following three items control punctuation levels None, Some, and All.
    # Each of these values will be substituted into the $PUNCT variable depending
    # on the value passed to speech dispatcher from applications.
    # Note that if an empty string is specified, then $PUNCT will be blank
    # which is a default situation for espeak.
    GenericPunctNone " "
    GenericPunctSome "--punct=\"()[]{};:\""
    GenericPunctAll "--punct"
    # GenericStripPunctChars is a list (enclosed in doublequotes) of
    # all the characters that should be replaced by whitespaces in
    # order not to be badly handled by the output module or misinterpreted
    # by shell.
    # GenericStripPunctChars ""
    # If the language you need to pass in $LANG is different
    # from the standard ISO language code, you can specify
    # which string to use instead. If you wish to use
    # other than ISO charset for the specified language,
    # you can add it's name (as accepted by iconv) as a
    # third parameter in doublequotes.
    GenericLanguage "en" "en" "utf-8"
    GenericLanguage "de" "de" "utf-8"
    GenericLanguage "es" "es" "utf-8"
    GenericLanguage "fr" "fr" "utf-8"
    GenericLanguage "it" "it" "utf-8"
    # AddVoice specifies which $VOICE string should be assigned to
    # each language and symbolic voice name. All the voices you want
    # to use must be specified here. This list will likely not be
    # up-to-date, please check pico documentation and add the voices
    # you want to use.
    AddVoice "en" "FEMALE1" "en-US"
    AddVoice "en" "FEMALE2" "en-GB"
    AddVoice "de" "FEMALE1" "de-DE"
    AddVoice "es" "FEMALE1" "es-ES"
    AddVoice "fr" "FEMALE1" "fr-FR"
    AddVoice "it" "FEMALE1" "it-IT"
    # Yes, it's wrong, but this way you at least get something even when configured
    # (by default) to use a male voice
    AddVoice "en" "MALE1" "en-US"
    AddVoice "en" "MALE2" "en-GB"
    AddVoice "de" "MALE1" "de-DE"
    AddVoice "es" "MALE1" "es-ES"
    AddVoice "fr" "MALE1" "fr-FR"
    AddVoice "it" "MALE1" "it-IT"
    # Debug turns debugging on or off
    # See speechd.conf for information where debugging information is stored
    Debug 0
  • Puis insérer la ligne : dans le fichier speechd.conf qui se trouve dans /etc/speech-dispatcher/
    AddModule "pico-generic" "sd_generic" "pico-generic.conf"

Loupe Gnome Orca fonctionnelle sour ubuntu 11.04

Je vous joins une méthode pour que la saisie de caractères via la loupe d'orca fonctionne parfaitement sous ubuntu Natty (Par exemple sous Libreoffice). La version par défaut ne permet pas au curseur de rester centré et si on dépasse l'écran zoomé, la saisie des caractères continue et on ne parvient plus à lire ce que l'on saisi…

Attention il faut bien se logger avec une session classique et sans la prise en charge de compiz sous peine de freeze de l'affichage ;)

  • Installation des paquets
sudo apt-get build-dep libatk1.0-0 at-spi && sudo apt-get install libgconf2-dev git
  • Installer atk
git clone git://git.gnome.org/atk atk
cd atk
./autogen.sh --prefix=/usr
make
sudo make install
cd ..
  • Installer atp-spi
git clone git://git.gnome.org/at-spi at-spi
cd at-spi
./autogen.sh --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/at-spi
make
sudo make install
cd ..
  • Installer Orca
git clone git://git.gnome.org/orca orca
cd orca
./autogen.sh
make

si PB biblio gtk-3 —- > git checkout -b gnome-2-32 origin/gnome-2-32

make
sudo make install

Voir aussi


NB : il semble que la fonction loupe de Orca n'existe plus dans la dernière distribution ubuntu (14.04) : impossible de trouver une option Zoom dans l'onglet Vision de l'Accès universel; mais j'ai trouvé dans la logithèque ubuntu un utillitaire équivalent qui s'appelle : KMag. Ca marche très bien ! (Karl Quar, 11 août 2014)

Contributeur principal : rdemont.Thom0801 Le 17/04/2011, 19:15



Le contenu de ce wiki est sous licence : CC BY-SA v3.0